haskell-mode (16.1-6) unstable; urgency=medium

  * revert errounous change of upstream files in packaging branch
  * fix failing tests for emacs 26.1 (Closes: 916807)

 -- Thomas Koch <thomas@koch.ro>  Wed, 16 Jan 2019 19:39:52 +0000

haskell-mode (16.1-5) unstable; urgency=medium

  * correct versions for breaks/replaces in d/control (closes: 915577)

 -- Thomas Koch <thomas@koch.ro>  Sun, 09 Dec 2018 13:07:09 +0000

haskell-mode (16.1-4) unstable; urgency=medium

  * use dh-elpa
  * rename package to elpa-haskell-mode
  * update Standards-Version -> 4.2.1
  * lintian: remove trailing whitespace in d/changelog
  * update debhelper compat level -> 11
  * add thomas@koch.ro to uploaders
  * make d/copyright machine readable
  * remove PACKAGE.examples as there are none
  * move packaging repo to emacsen-team

 -- Thomas Koch <thomas@koch.ro>  Sat, 03 Nov 2018 20:20:48 +0000

haskell-mode (16.1-3) unstable; urgency=medium

  * Remove myself from uploaders
  * Assert compliance with policy 4.0.0

 -- David Bremner <bremner@debian.org>  Sun, 02 Jul 2017 12:13:16 -0300

haskell-mode (16.1-2) unstable; urgency=medium

  * Remove old uploaders, add pkg-emacen team (closes: #838127, #849063)
  * Suggest stylish-haskell (closes: #825485)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Dec 2016 11:04:07 +0000

haskell-mode (16.1-1) unstable; urgency=medium

  * New upstream release
  * dh10 is --parallel by default
  * Simplify build scripts for simpler (more rational) upstream build process

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Dec 2016 14:57:00 +0100

haskell-mode (13.14.2-1) unstable; urgency=medium

  * New upstream release
  * Remove yasnippet integration, broken out upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2015 23:46:20 +0100

haskell-mode (13.12-3) unstable; urgency=medium

  * yasnippet integration, should work with newer yasnippet package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 May 2015 20:33:04 +0100

haskell-mode (13.12-2) unstable; urgency=medium

  * ack NMU
  * accept NMU mod
  * bump policy twice in parallel
  * broken by yasnippet (<< 0.8); patch from Hilko Bengen (closes: #782729)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 12:27:37 +0100

haskell-mode (13.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * emacs23 is no longer supported because of missing cl-lib (Closes:
    #782637)

 -- Hilko Bengen <bengen@debian.org>  Thu, 16 Apr 2015 17:04:25 +0200

haskell-mode (13.12-1) unstable; urgency=medium

  * Update debian/watch file
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Apr 2015 11:36:45 +0100

haskell-mode (13.10-2) unstable; urgency=medium

  * build dependency on texinfo for /usr/bin/makeinfo (closes: #730955)
  * no haskell-ghci.el breaking agda-mode (<< 2.3.2) (closes: #731326)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Dec 2013 17:38:40 +0100

haskell-mode (13.10-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Dec 2013 16:00:34 +0100

haskell-mode (13.07-1) unstable; urgency=low

  * New upstream release (closes: #728957)
  * Expose development git repo (closes: #587903)
  * Try not to accidentally reject supported emacsen (closes: #667451)
  * dh9, stop using cdbs
  * bump policy
  * add current homepage
  * add self as uploader
  * update emacsen installation/startup
  * rm debian/debuild.opts (which supported building in a darcs repo)
  * generate/install info page.
  * update debian/copyright with current license and upstream repo
  * build dependency on emacs, needed to generate autoload file
  * preserve link to uncompiled autoloads file in emacsen flavour elc directory
  * point debian/watch at current upstream
  * add collab-maint packaging repo
  * substitute @VERSION@ and @GIT_VERSION@ in installed .el files
  * install upstream changelog, readme, examples
  * source format 3.0 (quilt)
  * install haskell logo, in debian-appropriate location
  * leave .el files linked into flavour dir to enable help, (closes: #679044)
  * installation no longer emits ELisp values (closes: #683629)
  * fill-paragraph breaks multi-line comments differently (closes: #575081)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 Nov 2013 12:22:41 +0000

haskell-mode (2.8.0-2) unstable; urgency=low

  * Bug fix: "byte compiled .elc files not used", thanks to Kevin Ryde
    (Closes: #670357).
  * Bug fix: "interpreter-mode-alist entries", thanks to Kevin Ryde
    (Closes: #670356).
  * Update Standards-Version to 3.9.3 (no changes).

 -- David Bremner <bremner@debian.org>  Sun, 24 Jun 2012 19:31:19 -0300

haskell-mode (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2 (no changes).
  * Bug fix: "haskell-mode should recommend ghc, not ghc6", thanks to
    Anders Kaseorg (Closes: #626872).

 -- David Bremner <bremner@debian.org>  Wed, 31 Aug 2011 23:05:22 -0300

haskell-mode (2.7.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ignore xemacs in emacsen-install (Closes: #568579)

 -- David Bremner <bremner@debian.org>  Sat, 26 Mar 2011 13:03:15 -0300

haskell-mode (2.7.0-2) unstable; urgency=low

  * Remove a blunder in debian/watch.
  * Change section to "haskell", in agreement with override.
  * Extract copyright notices into debian/copyright.
  * Update policy version to 3.8.3.

 -- Petr Rockai <mornfall@debian.org>  Thu, 04 Feb 2010 17:59:43 +0100

haskell-mode (2.7.0-1) unstable; urgency=low

  * New upstream release (closes: #561830).
  * Recognize runghc/runhaskell scripts (closes: #427766).
  * Update debian/watch (closes: #450321).
  * Use the upstream autoload script (closes: #492517).
  * The problematic haskell-ghci-mode-map has been obliterated by
    upstream (closes: #369910).

 -- Petr Rockai <mornfall@debian.org>  Thu, 04 Feb 2010 17:32:03 +0100

haskell-mode (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Petr Rockai <mornfall@debian.org>  Fri, 15 Feb 2008 13:09:49 +0100

haskell-mode (2.3-1) unstable; urgency=low

  * New upstream release (closes: #443400, #448658, #411955),
  * re-debianized, using cdbs and debhelper,
  * enabling the byte-compile of emacs-lisp sources (closes:  #408260),
  * new maintainer, keeping Isaac as co-maintainer.

 -- Petr Rockai <mornfall@debian.org>  Thu, 06 Dec 2007 01:02:06 +0100

haskell-mode (2.1-1) unstable; urgency=low

  * New upstream release
  * Removed old debconf stuff (Closes: 331845, Closes: 237437)
  * removed hook for turn-on-haskell-font-lock (Closes: 306548)
  * fixed type for map (Closes: 316992)

 -- Isaac Jones <ijones@debian.org>  Wed, 16 Nov 2005 22:28:12 -0800

haskell-mode (2.0-1) unstable; urgency=low

  * New upstream release. closes: 281998.

  * Updated copyright file to show new Debian and upstream maintainers.
    closes: 286769

  * keybindings C-c <char> have been replaced by C-c C-<char> so as not to
    collide with minor modes.

  * The following modules are now automatically activated without having
    to add anything to haskell-mode-hook: haskell-font-lock (just turn on
    global-font-lock-mode).  haskell-decl-scan (just bind `imenu' to some
    key).

  * In recent Emacsen, haskell-doc hooks into eldoc-mode.

  * haskell-hugs and haskell-ghci are superceded by inf-haskell.

  * Indentation rules have been improved when using layout inside parens/braces.

  * Symbols like -> and \ can be displayed as actual arrows and lambdas.
    See haskell-font-lock-symbols.

  * Tweaks to the font-lock settings.  Among other things paren-matching
    with things like \(x,y) should work correctly now.

  * New upstream maintainer <monnier@gnu.org>.

 -- Isaac Jones <ijones@debian.org>  Wed, 22 Dec 2004 02:14:02 -0500

haskell-mode (1.45-2) unstable; urgency=low

  * Added watchfile.

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 14:13:25 -0800

haskell-mode (1.45-1) unstable; urgency=low

  * New upstream release
  * Bugs relating to indentation and comments seem to be fixed.
    closes: #46115, closes: #51821
  * Not much information from upstream about changes.  I'm not sure if
    this is exaustive:
    "Support for proper behaviour (including with Unicode identifiers)
    in Emacs 21 only hacked in messily to avoid disturbing the old
    stuff.  Needs integrating more cleanly.  Allow literate comment
    face to be customized.  Some support for fontifying definitions."

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 13:09:01 -0800

haskell-mode (1.44-4) unstable; urgency=low

  * Changed the type of getLine from IO Char to IO String, closes: 282000

 -- Isaac Jones <ijones@debian.org>  Thu, 18 Nov 2004 17:40:15 -0800

haskell-mode (1.44-3) unstable; urgency=low

  * Added a load-path line to 50haskell-mode.el, closes: #229976
  * Removed empty "haskell-mode" directory in $(emacs_d_dir)

 -- Isaac Jones <ijones@debian.org>  Wed, 29 Jan 2004 00:15:25 -0500

haskell-mode (1.44-2) unstable; urgency=low

  * Installed files in a subdirectory of site-lisp, closes: #119263
  * Updated standards-version
  * Added a few compilers to the "suggests" field
  * Updated description to include ghci
  * Removed backup (filename~) files from package
  * Updated maintainer's email address

 -- Isaac Jones <ijones@debian.org>  Sat, 24 Jan 2004 19:02:53 -0500

haskell-mode (1.44-1) unstable; urgency=low

  * New upstream release, closes: #111476, #154894
  * New maintainer, closes: #174854
  * Switched to one-dot version number, which is what upstream uses.
  * Fixed small error in copyright file Author(s) -> Authors.
  * Removed FHS transition stuff from postinst script.
  * Updated standards version to 3.5.8.
  * Updated the Depends to emacs21.

 -- Isaac Jones <ijones@syntaxpolice.org>  Wed,  1 Jan 2003 17:11:02 -0500

haskell-mode (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Install debian/conffiles, closes: #132210.

 -- Antti-Juhani Kaijanaho <gaia@iki.fi>  Sat, 16 Feb 2002 21:52:32 +0200

haskell-mode (1.4.1-1) unstable; urgency=low

  * New upstream release, closes: #85405.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 29 Aug 2001 19:53:55 +0300

haskell-mode (1.4-1) unstable; urgency=low

  * New upstream release, closes: #106759.
  * Make this a non-native pkg (grr, Tv!)
  * debian/50-haskell-mode.el: Make haskell-doc-mode conditional
    on the Emacs version, closes: #56449.
  * debian/copyright: Fix GPL filename.
  * Converted from debhelper to my packaging scheme.
  * debian/control: Upgraded standards version
  * debian/control: Add real packages to the emacsen depends.
  * debian/50-haskell-mode.el: Turn off Hugs support.
  * debian/{templates,config,control,postinst.haskell-mode,rules}:
    Add debconf note about Hugs/GHCi support.

 -- Antti-Juhani Kaijanaho <gaia@iki.fi>  Sun, 26 Aug 2001 14:51:53 +0300

haskell-mode (1.3-3) unstable; urgency=low

  * New maintainer, closes: #92614

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 19 Jul 2001 17:24:04 +0300

haskell-mode (1.3-2) unstable; urgency=low

  * Rebuilt with newer debhelper (closes: bug#91495)
  * debian/control: changed Maintainer to Debian QA Group.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 13 Apr 2001 17:35:36 +0200

haskell-mode (1.3-1) unstable; urgency=low

  * New upstream source.
  * runhugs and runhugs98 scripts are opened with haskell-mode
    automatically (Closes: #39902).

 -- Tommi Virtanen <tv@debian.org>  Tue,  6 Jul 1999 13:50:44 +0300

haskell-mode (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Wed, 30 Dec 1998 03:26:04 +0200
